summaryrefslogtreecommitdiff
path: root/app-editors/liteide
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /app-editors/liteide
Added ebuilds for kogaion desktop
Diffstat (limited to 'app-editors/liteide')
-rw-r--r--app-editors/liteide/Manifest1
-rw-r--r--app-editors/liteide/liteide-9999.ebuild90
2 files changed, 91 insertions, 0 deletions
diff --git a/app-editors/liteide/Manifest b/app-editors/liteide/Manifest
new file mode 100644
index 00000000..92ba8ba1
--- /dev/null
+++ b/app-editors/liteide/Manifest
@@ -0,0 +1 @@
+EBUILD liteide-9999.ebuild 2087 SHA256 9e7949902f239ec97b40b6dc9ec4c37ee6c794057b59caf421c6bcfbfa704f77 SHA512 7369cdf6558b2deef1e783069f4365a0054d58d9a9100506ca67bfaf3b23a64b06647aa0380352fa983c8effe49e692ebe89179cbc8aa9adf697a91a2f4d0a12 WHIRLPOOL c49c42ac194d7d1a1cef66ee8069469dc37abd903bb2ba550ed07fcf54d1ca0af7732cb42ec8457e4f755e30cc5de5975d657fcbb765ed35481e487d2787c118
diff --git a/app-editors/liteide/liteide-9999.ebuild b/app-editors/liteide/liteide-9999.ebuild
new file mode 100644
index 00000000..934bf7bc
--- /dev/null
+++ b/app-editors/liteide/liteide-9999.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+inherit qt4-r2 git-2
+
+DESCRIPTION="LiteIDE is a simple, open source, cross-platform Go IDE."
+HOMEPAGE="http://code.google.com/p/liteide"
+EGIT_REPO_URI="https://github.com/visualfc/liteide.git"
+
+LICENSE="LGPL-2.1"
+KEYWORDS=""
+SLOT="0"
+IUSE="ordered"
+
+DEPEND="dev-lang/go
+ dev-qt/qtgui
+ dev-qt/qtdbus
+ dev-qt/qtwebkit
+ dev-lang/go
+ dev-qt/qtgui
+ dev-qt/qtdbus
+ dev-qt/qtwebkit"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/"${PN}"-"${PV}"/
+
+src_prepare() {
+ qt4-r2_src_prepare
+}
+
+src_configure() {
+ local conf_release
+ local conf_ordered
+
+ if use ordered ; then
+ conf_ordered="CONFIG+=ordered"
+ conf_release=""
+ else
+ conf_release="CONFIG+=release"
+ conf_ordered=""
+ fi
+
+ cd "${S}"/liteidex/
+ eqmake4 "${S}"/liteidex/liteidex.pro "PREFIX=${EPREFIX}/usr" "LIBDIR=/usr/$(get_libdir)" ${conf_release} ${conf_ordered}
+}
+
+src_install() {
+ cd "${S}"/liteidex/
+ qt4-r2_src_install DESTDIR="${D}"opt/${PN}/ INSTALL_ROOT="${D}"opt/${PN}/ || die
+
+ export GOPATH=$(pwd)
+
+ # Go Tools
+ go install -ldflags "-s" -v tools/goastview
+ go install -ldflags "-s" -v tools/godocview
+ go install -ldflags "-s" -v tools/goexec
+ go install -ldflags "-s" -v tools/goapi
+
+ # Licence & Readme
+ dodoc LICENSE.LGPL LGPL_EXCEPTION.TXT ../README.md
+
+ # Binaries
+ insinto /opt/${PN}/bin
+ doins "${S}"/liteidex/${PN}/bin/*
+ doins "${S}"/liteidex/bin/*
+
+ # Plugins
+ insinto /opt/${PN}/lib/${PN}/plugins/
+ doins "${S}"/liteidex/${PN}/lib/${PN}/plugins/*.so
+
+ # Documentation
+ insinto /opt/${PN}/share/${PN}/
+ doins -r "${S}"/liteidex/deploy/*
+ doins -r "${S}"/liteidex/os_deploy/*
+
+ # QT Libraries
+ addread /usr/$(get_libdir)/qt4/
+ insinto /opt/${PN}/lib/${PN}
+ doins /usr/$(get_libdir)/qt4/libQtCore.so*
+ doins /usr/$(get_libdir)/qt4/libQtXml.so*
+ doins /usr/$(get_libdir)/qt4/libQtNetwork.so*
+ doins /usr/$(get_libdir)/qt4/libQtGui.so*
+ doins /usr/$(get_libdir)/qt4/libQtDBus.so*
+ doins /usr/$(get_libdir)/qt4/libQtWebKit.so*
+
+ fperms u+x /opt/${PN}/bin/liteide
+ fperms u+x /opt/${PN}/bin/go*
+}